Subject: Re: [PATCH v3 0/9] KVM: arm64: Initial host support for the Apple M1

From: Marc Zyngier <[email-masked]>
Date: Wed, 12 May 2021 17:33:01 +0100

Hi Alex,

On Wed, 12 May 2021 17:22:43 +0100,
Alexandru Elisei <[email-masked]> wrote:
> 
> Hi Marc,
> 
> On 5/10/21 2:48 PM, Marc Zyngier wrote:
> > This is a new version of the series previously posted at [2], reworking
> > the vGIC and timer code to cope with the M1 braindead^Wamusing nature.
> >
> > Hardly any change this time around, mostly rebased on top of upstream
> > now that the dependencies have made it in.
> >
> > Tested with multiple concurrent VMs running from an initramfs.
> >
> > * From v2:
> >   - Rebased on 5.13-rc1
> >   - Fixed a couple of nits in the GIC registration code
> >
> > * From v1 [1]:
> >   - Rebased on Hector's v4 posting[0]
> >   - Dropped a couple of patches that have been merged in the above series
> >   - Fixed irq_ack callback on the timer path
> >
> > [0] https://lore.kernel.org/r/[email-masked]
> > [1] https://lore.kernel.org/r/[email-masked]
> > [2] https://lore.kernel.org/r/[email-masked]
> 
> This looks interesting and I want to take a look. For now, I can
> only review the series, but maybe at some point I'll take the leap
> and try to run Linux on my Macbook Air.

It is a bit involved at the moment, and I haven't tried on a laptop
(the nice thing about the Mini is that you can bury it under a pile of
other machines and still make use of it).

> Can I find something resembling a specification for the Apple
> interrupt controller, or the only available documentation is in the
> Linux driver and patches on the mailing list?

The Asahi wiki has a bunch of RE goodies, but you really don't need to
know much about the HW to follow what this series does. Actually, you
instead need to understand what the GIC guarantees to the guest,
because this is all about the GIC emulation on a non-GIC interrupt
controller.

Thanks,

	M.

-- 
Without deviation from the norm, progress is not possible.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel